#include<iostream>
using namespace std;
long long i=0, n, m, L, s, br=1;
int main()
{
    cin>>L>>m>>n;
    s=m;
    while(s+m+n*i<=L)
    {
        br++;
        i++;
        s+=m+n*i;

    }

    cout<<br<<endl;
    return 0;
}